TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get NFT transfers

GET
/api/v3/nft/transfers

Query NFT transfers that match the specified filters.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

owner_address?array<string>

Address of the NFT owner in any form. Maximum: 1000 addresses.

item_address?array<string>

Address of the NFT item in any form. Maximum: 1000 addresses.

collection_address?string

Collection address in any form.

direction?string

Direction of the transfer.

start_utime?integer

Query transactions with a generation timestamp at or after the specified timestamp.

end_utime?integer

Query transactions with a generation timestamp at or before the specified timestamp.

start_lt?integer

Query transactions where lt is at or above the specified value.

end_lt?integer

Query transactions where lt is at or below the specified value.

limit?integer

Limit the number of rows to return. Use with offset to batch requests.

offset?integer

Skip the first N rows. Use with limit to batch requests.

sort?string

Sort transactions by lt.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/nft/transfers"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "metadata": {
    "property1": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "is_nsfw": true,
          "is_scam": true,
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    },
    "property2": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "is_nsfw": true,
          "is_scam": true,
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    }
  },
  "nft_transfers": [
    {
      "custom_payload": "string",
      "decoded_custom_payload": {},
      "decoded_forward_payload": {},
      "forward_amount": "string",
      "forward_payload": "string",
      "new_owner": "string",
      "nft_address": "string",
      "nft_collection": "string",
      "old_owner": "string",
      "query_id": "string",
      "response_destination": "string",
      "trace_id": "string",
      "transaction_aborted": true,
      "transaction_hash": "string",
      "transaction_lt": "0",
      "transaction_now": 0
    }
  ]
}
{
  "code": 0,
  "error": "string"
}